## python-hvac 0.11.2

=== Makefile ===
PYTHON_IMAGE		?= wpengine/python
REQUIREMENTS_FILES	:= requirements requirements-dev

.PHONY: clean package publish test update-all-requirements $(addsuffix .txt, $(REQUIREMENTS_FILES)) docs/requirements.txt

test:
	pytest --cov=hvac tests/

clean:
	rm -rf dist hvac.egg-info

distclean: clean
	rm -rf build

package:
	python setup.py sdist bdist_wheel

# Note, we breakout the docs/requirements target separately since its not reasonable to use filesystem paths in target names
update-all-requirements: $(addprefix update-, $(REQUIREMENTS_FILES)) update-docs-requirements
update-docs-requirements:
	$(call pip-compile,docs/requirements)
update-%:
	$(call pip-compile,$(*))

define pip-compile
	@echo
	# Running pip-compile to update $(1).txt (using $(1).in)...
	@docker run \
		--rm \
		--volume $(PWD):/workspace \
		${PYTHON_IMAGE} \
			pip-compile --upgrade --output-file $(1).txt $(1).in
	@echo
	# Successfully compiled python $(1).txt (using $(1).in).
endef

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
certifi==2020.6.20        # via requests
chardet==3.0.4            # via requests
idna==2.10                # via requests
pyhcl==0.4.4              # via -r requirements.in
requests==2.24.0          # via -r requirements.in
six==1.15.0               # via -r requirements.in
urllib3==1.25.10          # via requests

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -E -a
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = hvac
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=docs/requirements.txt docs/requirements.in
#
alabaster==0.7.12         # via sphinx
attrs==20.3.0             # via -r docs/../requirements-dev.txt, pytest
authlib==0.14.3           # via -r docs/../requirements-dev.txt
autodocsumm==0.1.13       # via -r docs/requirements.in
babel==2.8.0              # via sphinx
certifi==2020.6.20        # via -r docs/../requirements-dev.txt, requests
cffi==1.14.0              # via -r docs/../requirements-dev.txt, cryptography
chardet==3.0.4            # via -r docs/../requirements-dev.txt, requests
click==7.1.2              # via -r docs/../requirements-dev.txt, flask
codecov==2.1.8            # via -r docs/../requirements-dev.txt
coverage==5.2.1           # via -r docs/../requirements-dev.txt, codecov, pytest-cov
cryptography==3.3.1       # via -r docs/../requirements-dev.txt, authlib, jwcrypto
docutils==0.16            # via m2r2, sphinx
flake8==3.8.4             # via -r docs/../requirements-dev.txt
flask-sqlalchemy==2.4.4   # via -r docs/../requirements-dev.txt
flask==1.1.2              # via -r docs/../requirements-dev.txt, flask-sqlalchemy
idna==2.10                # via -r docs/../requirements-dev.txt, requests
imagesize==1.2.0          # via sphinx
iniconfig==1.1.1          # via -r docs/../requirements-dev.txt, pytest
ipaddress==1.0.23         # via -r docs/../requirements-dev.txt
itsdangerous==1.1.0       # via -r docs/../requirements-dev.txt, flask
jinja2==2.11.2            # via -r docs/../requirements-dev.txt, flask, sphinx
jwcrypto==0.7             # via -r docs/../requirements-dev.txt, python-jwt
m2r2==0.2.5               # via -r docs/requirements.in
markupsafe==1.1.1         # via -r docs/../requirements-dev.txt, jinja2
mccabe==0.6.1             # via -r docs/../requirements-dev.txt, flake8
mistune==0.8.4            # via m2r2
mock==3.0.5               # via -r docs/../requirements-dev.txt
nose==1.3.7               # via -r docs/../requirements-dev.txt
packaging==20.4           # via -r docs/../requirements-dev.txt, pytest, sphinx
parameterized==0.7.4      # via -r docs/../requirements-dev.txt
pluggy==0.13.1            # via -r docs/../requirements-dev.txt, pytest
py4j==0.10.9              # via -r docs/../requirements-dev.txt, python-ldap-test
py==1.9.0                 # via -r docs/../requirements-dev.txt, pytest
pycodestyle==2.6.0        # via -r docs/../requirements-dev.txt, flake8
pycparser==2.20           # via -r docs/../requirements-dev.txt, cffi
pyflakes==2.2.0           # via -r docs/../requirements-dev.txt, flake8
pygments==2.6.1           # via sphinx
pyhcl==0.4.4              # via -r docs/../requirements-dev.txt
pyparsing==2.4.7          # via -r docs/../requirements-dev.txt, packaging
pytest-cov==2.11.1        # via -r docs/../requirements-dev.txt
pytest==6.2.2             # via -r docs/../requirements-dev.txt, pytest-cov
python-jwt==3.2.6         # via -r docs/../requirements-dev.txt
python-ldap-test==0.3.1   # via -r docs/../requirements-dev.txt
pytz==2020.1              # via babel
requests-mock==1.8.0      # via -r docs/../requirements-dev.txt
requests==2.24.0          # via -r docs/../requirements-dev.txt, codecov, requests-mock, sphinx
semantic-version==2.8.5   # via -r docs/../requirements-dev.txt
six==1.15.0               # via -r docs/../requirements-dev.txt, cryptography, mock, packaging, requests-mock
snowballstemmer==2.0.0    # via sphinx
sphinx-rtd-theme==0.5.0   # via -r docs/requirements.in
sphinx==3.1.2             # via -r docs/requirements.in, autodocsumm, sphinx-rtd-theme
sphinxcontrib-applehelp==1.0.2  # via sphinx
sphinxcontrib-devhelp==1.0.2  # via sphinx
sphinxcontrib-htmlhelp==1.0.3  # via sphinx
sphinxcontrib-jsmath==1.0.1  # via sphinx
sphinxcontrib-qthelp==1.0.3  # via sphinx
sphinxcontrib-serializinghtml==1.1.4  # via sphinx
sqlalchemy==1.3.18        # via -r docs/../requirements-dev.txt, flask-sqlalchemy
toml==0.10.1              # via -r docs/../requirements-dev.txt, pytest
urllib3==1.25.10          # via -r docs/../requirements-dev.txt, requests
werkzeug==1.0.1           # via -r docs/../requirements-dev.txt, flask

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
python-hvac (0.11.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with Flask 2.x (Closes: #997529).
  * Rebased remove-ldap-tests.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Oct 2021 12:44:42 +0200

python-hvac (0.10.12-2) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Aug 2021 20:48:51 +0200

python-hvac (0.10.12-1) unstable; urgency=medium

  * Initial release. (Closes: #875603) I'm taking it over, since there's no
    activity in the ITP since 2018.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 May 2021 10:07:27 +0200

=== debian/control ===
Source: python-hvac
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-attr,
 python3-authlib,
 python3-certifi,
 python3-cffi,
 python3-chardet,
 python3-click,
 python3-coverage,
 python3-cryptography,
 python3-flake8,
 python3-flask,
 python3-flask-sqlalchemy,
 python3-idna,
 python3-iniconfig,
 python3-itsdangerous,
 python3-jinja2,
 python3-jwcrypto,
 python3-jwt,
 python3-markupsafe,
 python3-mccabe,
 python3-mock,
 python3-nose,
 python3-packaging,
 python3-parameterized,
 python3-pluggy,
 python3-pycparser,
 python3-pyhcl,
 python3-pyparsing,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
 python3-requests-mock,
 python3-semantic-version,
 python3-six,
 python3-sqlalchemy,
 python3-toml,
 python3-urllib3,
 python3-werkzeug,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-hvac
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-hvac.git
Homepage: https://github.com/hvac/hvac

Package: python3-hvac
Architecture: all
Depends:
 python3-certifi,
 python3-chardet,
 python3-idna,
 python3-pyhcl,
 python3-requests,
 python3-six,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: HashiCorp Vault API client - Python 3.x
 This python module provides an API to the HashiCorp Vault.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/hvac/hvac
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m pytest tests ; \
	done
endif

override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/hvac/hvac-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hvac 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PYTHON_IMAGE		?= wpengine/python
 REQUIREMENTS_FILES	:= requirements requirements-dev
 
-.PHONY: clean package publish test update-all-requirements $(addsuffix .txt, $(REQUIREMENTS_FILES)) docs/requirements.txt
+.PHONY: clean package publish test update-all-requirements typos $(addsuffix .txt, $(REQUIREMENTS_FILES)) docs/requirements.txt
 
 test:
 	pytest --cov=hvac tests/
@@ -14,6 +14,9 @@
 
 package:
 	python setup.py sdist bdist_wheel
+
+typos:
+	typos --format brief
 
 # Note, we breakout the docs/requirements target separately since its not reasonable to use filesystem paths in target names
 update-all-requirements: $(addprefix update-, $(REQUIREMENTS_FILES)) update-docs-requirements

=== debian/changelog ===
python-hvac (2.3.0-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * debian/control: Update Vcs fields.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 11:27:18 +0100

python-hvac (2.3.0-2) unstable; urgency=medium

  * Removed build-depends on python3-mock (Closes: #1090713).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 13:38:25 +0100

python-hvac (2.3.0-1) unstable; urgency=medium

  * New upstream release (specially for Bertrand).
  * Drop patch.
  * Switch to pybuild.
  * Add python3-greenlet as b-depends.
  * Add fix-pyprojects-pytest-opts.patch.
  * Add python3-pytest-xdist and python3-pytest-mock as b-d.
  * Remove ldap tests.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Dec 2024 16:21:26 +0100

python-hvac (0.11.2-3) unstable; urgency=medium

  * Do not build-depends on nose (Closes: #1018512).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Aug 2023 11:33:13 +0200

python-hvac (0.11.2-2) unstable; urgency=medium

  * Cleans better (Closes: #1046023).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:31:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,9 @@
  debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-poetry-core,
  python3-setuptools,
 Build-Depends-Indep:
  python3-attr,
@@ -22,6 +24,7 @@
  python3-flake8,
  python3-flask,
  python3-flask-sqlalchemy,
+ python3-greenlet,
  python3-idna,
  python3-iniconfig,
  python3-itsdangerous,
@@ -30,8 +33,6 @@
  python3-jwt,
  python3-markupsafe,
  python3-mccabe,
- python3-mock,
- python3-nose,
  python3-packaging,
  python3-parameterized,
  python3-pluggy,
@@ -40,6 +41,8 @@
  python3-pyparsing,
  python3-pytest,
  python3-pytest-cov,
+ python3-pytest-mock,
+ python3-pytest-xdist,
  python3-requests,
  python3-requests-mock,
  python3-semantic-version,
@@ -49,8 +52,8 @@
  python3-urllib3,
  python3-werkzeug,
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-hvac
-Vcs-Git: https://salsa.debian.org/openstack-team/python/python-hvac.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-hvac
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-hvac.git
 Homepage: https://github.com/hvac/hvac
 
 Package: python3-hvac

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/hvac/hvac
include /usr/share/openstack-pkg-tools/pkgos.make

export PBUILD_TEST_ARGS= -v tests

%:
	dh $@ --buildsystem=pybuild --with python3

## python-hvac 2.4.0

=== debian/changelog ===
python-hvac (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 09:51:29 +0100

python-hvac (2.3.0-5) unstable; urgency=medium

  * Drop python3-six (build-)dependency (Closes: #1121633).

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Nov 2025 22:32:25 +0100

python-hvac (2.3.0-4) unstable; urgency=medium

  * Drop the extraneous python3-toml build dependency (Closes: #1105782).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 17:26:02 +0100
